# Uses of Class
java.awt.datatransfer.DataFlavor

Packages that use DataFlavor
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of DataFlavor in java.awt.datatransfer

Fields in java.awt.datatransfer declared as DataFlavor
Modifier and Type
Field
Description
`static final DataFlavor`
DataFlavor.`allHtmlFlavor`
Represents a piece of an HTML markup.
`static final DataFlavor`
DataFlavor.`fragmentHtmlFlavor`
Represents a piece of an HTML markup.
`static final DataFlavor`
DataFlavor.`imageFlavor`
The `DataFlavor` representing a Java Image class, where:
`static final DataFlavor`
DataFlavor.`javaFileListFlavor`
To transfer a list of files to/from Java (and the underlying platform) a `DataFlavor` of this type/subtype and representation class of `java.util.List` is used.
`static final DataFlavor`
DataFlavor.`plainTextFlavor`
Deprecated.
as of 1.3.
`static final DataFlavor`
DataFlavor.`selectionHtmlFlavor`
Represents a piece of an HTML markup.
`static final DataFlavor`
DataFlavor.`stringFlavor`
The `DataFlavor` representing a Java Unicode String class, where:
Methods in java.awt.datatransfer that return DataFlavor
Modifier and Type
Method
Description
`static DataFlavor`
SystemFlavorMap.`decodeDataFlavor(String nat)`
Decodes a `String` native for use as a `DataFlavor`.
`DataFlavor[]`
Clipboard.`getAvailableDataFlavors()`
Returns an array of `DataFlavor`s in which the current contents of this clipboard can be provided.
`static final DataFlavor`
DataFlavor.`getTextPlainUnicodeFlavor()`
Returns a `DataFlavor` representing plain text with Unicode encoding, where:
`DataFlavor[]`
StringSelection.`getTransferDataFlavors()`
Returns an array of flavors in which this `Transferable` can provide the data.
`DataFlavor[]`
Transferable.`getTransferDataFlavors()`
Returns an array of DataFlavor objects indicating the flavors the data can be provided in.
`static final DataFlavor`
DataFlavor.`selectBestTextFlavor(DataFlavor[] availableFlavors)`
Selects the best text `DataFlavor` from an array of `DataFlavor`s.
Methods in java.awt.datatransfer that return types with arguments of type DataFlavor
Modifier and Type
Method
Description
`List<DataFlavor>`
FlavorTable.`getFlavorsForNative(String nat)`
Returns a `List` of `DataFlavor`s to which the specified `String` corresponds.
`List<DataFlavor>`
SystemFlavorMap.`getFlavorsForNative(String nat)`
Returns a `List` of `DataFlavor`s to which the specified `String` native can be translated by the data transfer subsystem.
`Map<String, DataFlavor>`
FlavorMap.`getFlavorsForNatives(String[] natives)`
Returns a `Map` of the specified `String` natives to their corresponding `DataFlavor`.
`Map<String, DataFlavor>`
SystemFlavorMap.`getFlavorsForNatives(String[] natives)`
Returns a `Map` of the specified `String` natives to their most preferred `DataFlavor`.
`Map<DataFlavor, String>`
FlavorMap.`getNativesForFlavors(DataFlavor[] flavors)`
Returns a `Map` of the specified `DataFlavor`s to their corresponding `String` native.
`Map<DataFlavor, String>`
SystemFlavorMap.`getNativesForFlavors(DataFlavor[] flavors)`
Returns a `Map` of the specified `DataFlavor`s to their most preferred `String` native.
Methods in java.awt.datatransfer with parameters of type DataFlavor
Modifier and Type
Method
Description
`void`
SystemFlavorMap.`addFlavorForUnencodedNative(String nat, DataFlavor flav)`
Adds a mapping from a single `String` native to a single `DataFlavor`.
`void`
SystemFlavorMap.`addUnencodedNativeForFlavor(DataFlavor flav, String nat)`
Adds a mapping from the specified `DataFlavor` (and all `DataFlavor`s equal to the specified `DataFlavor`) to the specified `String` native.
`static String`
SystemFlavorMap.`encodeDataFlavor(DataFlavor flav)`
Encodes a `DataFlavor` for use as a `String` native.
`boolean`
DataFlavor.`equals(DataFlavor that)`
This method has the same behavior as `DataFlavor.equals(Object)`.
`Object`
Clipboard.`getData(DataFlavor flavor)`
Returns an object representing the current contents of this clipboard in the specified `DataFlavor`.
`List<String>`
FlavorTable.`getNativesForFlavor(DataFlavor flav)`
Returns a `List` of `String` natives to which the specified `DataFlavor` corresponds.
`List<String>`
SystemFlavorMap.`getNativesForFlavor(DataFlavor flav)`
Returns a `List` of `String` natives to which the specified `DataFlavor` can be translated by the data transfer subsystem.
`Map<DataFlavor, String>`
FlavorMap.`getNativesForFlavors(DataFlavor[] flavors)`
Returns a `Map` of the specified `DataFlavor`s to their corresponding `String` native.
`Map<DataFlavor, String>`
SystemFlavorMap.`getNativesForFlavors(DataFlavor[] flavors)`
Returns a `Map` of the specified `DataFlavor`s to their most preferred `String` native.
`Object`
StringSelection.`getTransferData(DataFlavor flavor)`
Returns the `Transferable`'s data in the requested `DataFlavor` if possible.
`Object`
Transferable.`getTransferData(DataFlavor flavor)`
Returns an object which represents the data to be transferred.
`boolean`
Clipboard.`isDataFlavorAvailable(DataFlavor flavor)`
Returns whether or not the current contents of this clipboard can be provided in the specified `DataFlavor`.
`boolean`
StringSelection.`isDataFlavorSupported(DataFlavor flavor)`
Returns whether the requested flavor is supported by this `Transferable`.
`boolean`
Transferable.`isDataFlavorSupported(DataFlavor flavor)`
Returns whether or not the specified data flavor is supported for this object.
`final boolean`
DataFlavor.`isMimeTypeEqual(DataFlavor dataFlavor)`
Compares the `mimeType` of two `DataFlavor` objects.
`boolean`
DataFlavor.`match(DataFlavor that)`
Identical to `DataFlavor.equals(DataFlavor)`.
`static final DataFlavor`
DataFlavor.`selectBestTextFlavor(DataFlavor[] availableFlavors)`
Selects the best text `DataFlavor` from an array of `DataFlavor`s.
`void`
SystemFlavorMap.`setFlavorsForNative(String nat, DataFlavor[] flavors)`
Discards the current mappings for the specified `String` native, and creates new mappings to the specified `DataFlavor`s.
`void`
SystemFlavorMap.`setNativesForFlavor(DataFlavor flav, String[] natives)`
Discards the current mappings for the specified `DataFlavor` and all `DataFlavor`s equal to the specified `DataFlavor`, and creates new mappings to the specified `String` natives.
Constructors in java.awt.datatransfer with parameters of type DataFlavor
Modifier
Constructor
Description
``
`UnsupportedFlavorException(DataFlavor flavor)`
Constructs an UnsupportedFlavorException.

## Uses of DataFlavor in java.awt.dnd

Methods in java.awt.dnd that return DataFlavor
Modifier and Type
Method
Description
`protected DataFlavor[]`
DropTargetContext.`getCurrentDataFlavors()`
get the available DataFlavors of the `Transferable` operand of this operation.
`DataFlavor[]`
DropTargetDragEvent.`getCurrentDataFlavors()`
This method returns the current `DataFlavor`s from the `DropTargetContext`.
`DataFlavor[]`
DropTargetDropEvent.`getCurrentDataFlavors()`
This method returns the current DataFlavors.
`DataFlavor[]`
DropTargetContext.TransferableProxy.`getTransferDataFlavors()`
Returns an array of DataFlavor objects indicating the flavors the data can be provided in by the encapsulated transferable.
Methods in java.awt.dnd that return types with arguments of type DataFlavor
Modifier and Type
Method
Description
`protected List<DataFlavor>`
DropTargetContext.`getCurrentDataFlavorsAsList()`
This method returns the currently available DataFlavors of the `Transferable` operand as a `java.util.List`.
`List<DataFlavor>`
DropTargetDragEvent.`getCurrentDataFlavorsAsList()`
This method returns the current `DataFlavor`s as a `java.util.List`
`List<DataFlavor>`
DropTargetDropEvent.`getCurrentDataFlavorsAsList()`
This method returns the currently available `DataFlavor`s as a `java.util.List`.
Methods in java.awt.dnd with parameters of type DataFlavor
Modifier and Type
Method
Description
`Object`
DropTargetContext.TransferableProxy.`getTransferData(DataFlavor df)`
Returns an object which represents the data provided by the encapsulated transferable for the requested data flavor.
`protected boolean`
DropTargetContext.`isDataFlavorSupported(DataFlavor df)`
This method returns a `boolean` indicating if the given `DataFlavor` is supported by this `DropTargetContext`.
`boolean`
DropTargetContext.TransferableProxy.`isDataFlavorSupported(DataFlavor flavor)`
Returns whether or not the specified data flavor is supported by the encapsulated transferable.
`boolean`
DropTargetDragEvent.`isDataFlavorSupported(DataFlavor df)`
This method returns a `boolean` indicating if the specified `DataFlavor` is supported.
`boolean`
DropTargetDropEvent.`isDataFlavorSupported(DataFlavor df)`
This method returns a `boolean` indicating if the specified `DataFlavor` is available from the source.

## Uses of DataFlavor in javax.accessibility

Methods in javax.accessibility that return DataFlavor
Modifier and Type
Method
Description
`DataFlavor[]`
AccessibleStreamable.`getMimeTypes()`
Returns an array of `DataFlavor` objects for the MIME types this object supports.
Methods in javax.accessibility with parameters of type DataFlavor
Modifier and Type
Method
Description
`InputStream`
AccessibleStreamable.`getStream(DataFlavor flavor)`
Returns an `InputStream` for a `DataFlavor`.

## Uses of DataFlavor in javax.swing

Methods in javax.swing that return DataFlavor
Modifier and Type
Method
Description
`DataFlavor[]`
TransferHandler.TransferSupport.`getDataFlavors()`
Returns the data flavors for this transfer.
Methods in javax.swing with parameters of type DataFlavor
Modifier and Type
Method
Description
`boolean`
TransferHandler.`canImport(JComponent comp, DataFlavor[] transferFlavors)`
Indicates whether a component will accept an import of the given set of data flavors prior to actually attempting to import it.
`boolean`
TransferHandler.TransferSupport.`isDataFlavorSupported(DataFlavor df)`
Returns whether or not the given data flavor is supported.